Package com.uca.data_validation

## Class StringValidator

- java.lang.Object
- - com.uca.data_validation.StringValidator

    public final class StringValidator
    extends java.lang.Object

### Constructor Summary

Constructors
`StringValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isAddressValid​(java.lang.String address)`
`static boolean` `isEmailValid​(java.lang.String email)`
`static boolean` `isNameValid​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringValidator

    public StringValidator()

### Method Detail

#### isNameValid

    public static boolean isNameValid​(java.lang.String name)

#### isEmailValid

    public static boolean isEmailValid​(java.lang.String email)

#### isAddressValid

    public static boolean isAddressValid​(java.lang.String address)